---
title: "Vst on Linux 1"
date: 2023-01-24T15:47:50+01:00
draft: false
ShowToc: true
cover:
    image: "cover.png"
    caption: "Vst on Linux"
    relative: false
    responsiveImages: false
---

>Best, but according to Output. Their article: *[https://output.com/blog/output-favorites-freebies](https://output.com/blog/output-favorites-freebies)

This is kinda article where I'm looking for "BEST FREE VST" articles or videos, or whatever, trying to run them on Linux and checking how they perform. The first article I've found is one by **Output**, so be it.

---

## 1. Arcade by Output 👎

Freaking unexpected, huh? But what choice do I have? **Walk the walk and talk the talk. **So let's start by pressing the "TRY IT FREE" button.

First I need to enter my email, then I need to enter a bunch of information about myself and then: What a bummer, they want me to add a payment method. And even thought they won't charge me the first month, I'm not doing talking the talk. Sorry, let's go to the next one.

---

## 2. OTT by Xfer 👍

This one you will find in any top, I believe. It can mean only one thing: it's really one of the best. So let's try.

There is no Linux version of this plugin, so we will have to use the Windows one. How, you would ask me? I will have to install a couple of packages to my system before I'm ready. I'm starting by installing **wine**.  

I am not going to describe the process of installing it, google `"$YOUR_LINUX_DISTRO_NAME install wine" ` after it's done you may want to create a new wine prefix in your system. 

What is wine prefix? Let's think of it as of a directory that contains Windows-related stuff. All plugins will be installed there alongside libraries that are required to make them work. 

Let's give this prefix a recognizable name, like `.wine_vst_plugins.` I'm opening the terminal, yes, I'll have to use it, but you shouldn't be scared of it, because terminal is our friend. Opening it and executing:

    $ WINEPREFIX="$PWD/.wine_vst_plugins/" winecfg
    

It will open a window when you can configure your wine prefix, but the main stuff is already done, so I just close it.

To check if we're happy, I'm executing the following 

    $ ls -la $HOME/.wine_vst_plugins
    
    total 3332
    drwxr-xr-x 1 allanger allanger     126 Oct 27 18:13 .
    drwx------ 1 allanger root        1922 Oct 27 18:15 ..
    drwxr-xr-x 1 allanger allanger       8 Oct 27 18:13 dosdevices
    drwxr-xr-x 1 allanger allanger     110 Oct 27 18:13 drive_c
    -rw-r--r-- 1 allanger allanger 3282847 Oct 27 18:13 system.reg
    -rw-r--r-- 1 allanger allanger      12 Oct 27 18:13 .update-timestamp
    -rw-r--r-- 1 allanger allanger    4130 Oct 27 18:13 userdef.reg
    -rw-r--r-- 1 allanger allanger  113309 Oct 27 18:13 user.reg
    

If your output looks like mine, we're good to go. Let's install the second tool: [https://github.com/robbert-vdh/yabridge](https://github.com/robbert-vdh/yabridge). You will find all the instructions if you just scroll down a wee bit. After installing it you also must have a tool called **yabridgectl,** to check that it is right, just execute the following

    $ yabridgectl
    
    yabridgectl 4.0.2
    Robbert van der Helm <mail@robbertvanderhelm.nl>
    Optional utility to help set up yabridge
    
    USAGE:
        yabridgectl <SUBCOMMAND>
    
    OPTIONS:
        -h, --help       Print help information
        -V, --version    Print version information
    
    SUBCOMMANDS:
        add          Add a plugin install location
        rm           Remove a plugin install location
        list         List the plugin install locations
        status       Show the installation status for all plugins
        sync         Set up or update yabridge for all plugins
        set          Change the yabridge path (advanced)
        blacklist    Manage the indexing blacklist (advanced)
        help         Print this message or the help of the given subcommand(s)
    
    

I hope you're seeing pretty much the same picture as I am. And it only means that we can go further. 

Now it's time to install the plugin itself. I'm downloading the **Windows** version and opening my terminal again

Let's assume that you've downloaded it to the `~/Downloads` folder, and the file name is `Install_Xfer_OTT_135.exe`

    $ cd ~/Dowloads 
    $ WINEPREFIX="$PWD/.wine_vst_plugins/" wine ./Install_Xfer_OTT_135.exe
    

Why we're adding this `WINEPREFIX` thing every time when running `wine`? Because we're saying which wine prefix should be used by wine, since it's not a default path for the prefix. 

After installing this plugin, I will need to add it to **yabridge**. To do that, use **yabridgectl**

Insted of what I'm putting after `/drive_c/`, provide a path that you've chosen during the installation

    $ yabridgectl add ~/.wine_vst_plugins/drive_c/Program\ Files/Common\ Files/VST
    $ yabridgectl sync 
    

And I'm opening a DAW, *I assume you already have one too, for here you are. But if you don't, and you don't know which to install, just install **Ardour.***

I'm opening it, adding a track and adding the **OTT** plugin to that track.

![OTT Xfer](/vst-on-linux-1/ott-xfer.png)

It is working and I would even say it's running
The UI part is a wee bit buggy, but I don't think that it's a problem.

---

## 3. Wider by Polyverse 👍

I'm entering my email again and receiving a download link. Downloading, unpacking, and installing 

    $ WINEPREFIX="$PWD/.wine_vst_plugins/" wine ./InfectedMushroom-Wider-V1.1.3.exe
    $ yabridgectl sync
    

![Wider](/vst-on-linux-1/wider.png)Again, it's working flawlessly
So far so good, even the UI part is perfect. 

---

## 4. CamelCrusher by Camel Audio 👍

It can be downloaded even without email thingy. 

    $ WINEPREFIX="$HOME/.wine_vst_plugins/" wine ./camelcrusher-win_mac\ \(www.mpcindia.co\)/CamelCrusherWin-1-0-1-x64.exe
    $ yabridgectl sync 
    

 And when I'm trying to add it to Ardour, I'm getting an error

    [Info]: Scanning: /home/allanger/.vst/yabridge/CamelCrusher.so
    09:23:38 [error] 
    09:23:38 [error] Error during initialization:
    09:23:38 [error] '/home/allanger/.vst/yabridge/CamelCrusher.dll' does not exist, make sure to rename 'libyabridge-vst2.so' to match a VST plugin .dll file.
    09:23:38 [error] 
    [ERROR]: ** ERROR** VSTFX : CamelCrusher could not be instantiated :(
    
    [WARNING]: Cannot get VST information from '/home/allanger/.vst/yabridge/CamelCrusher.so': instantiation failed.
    Scan Failed.
    

And I can't actually understand what is the problem here.

I don't give up so quickly. Let's try running it via [Carla](https://github.com/carla-simulator/carla). I won't describe how to install it, you can google it. 


So after it's installed, I'm opening it as a standalone app first and trying to add my **CamelCrusher** there. And it's working. Then the next step is to add **Carla** as a **FX** plugin in **Ardour** and then add CamelCrusher there.
![CamelCrush](/vst-on-linux-1/camel-crush.png)Working again, but not without Carla

---

## 5. Fracture by Glitchmachines 👍

I love this plugin, and I'm using it a lot on my MacBook, so it would be nice to run it on **Linux** too. So let's go. But Glitchmachines can give us another great plugin for free, so I will try running both of them here. The other one is **Hysteresis**. So I'm downloading both of them.

After receiving two links, I'm installing them

    $ WINEPREFIX="$HOME/.wine_vst_plugins/" wine Fracture_setup.exe 
    $ WINEPREFIX="$HOME/.wine_vst_plugins/" wine Hysteresis_setup.exe 
    $ yabridgectl sync
    

![Glitchmachines](/vst-on-linux-1/glitchmachines.png)

They are working but there is one UI glitch

![Glitchmachine's making glitch](/vst-on-linux-1/glitchmakesrs-glitch.gif)

#### Maybe you won't notice it on your system

Because we probably have different system configs, so maybe it's only possible to reproduce this bug with a set of configs and packages I'm using in my Linux. So if you don't face this issue, lucky you!

It's not very annoying to me, but to avoid this kind of behavior, I can wrap these plugins with **Carla.**
![Glitchmachines with Carla](/vst-on-linux-1/glitchmaker-carla.gif)
It's working perfectly with Carla *(it's not that buggy in real life, only on the record)*

---

## 6. FreqEcho by Valhalla DSP 👍

Valhalla's plugins, I think, are one of the most popular in the music world. I don't know a man who doesn't have all of their free plugins installed.  And I do have them installed already in my system, but I will go through the installation process again, just to describe it here. So let's download all of their free plugins

- Valhalla Freq Echo
- Valhalla Space Modulator
- Valhalla Supermassive
```BASH
$ WINEPREFIX="$HOME/.wine_vst_plugins/" wine ValhallaFreqEchoWin_V1_2_0.exe
$ WINEPREFIX="$HOME/.wine_vst_plugins/" wine ValhallaSpaceModulatorWin_1_1_6v3.exe
$ WINEPREFIX="$HOME/.wine_vst_plugins/" wine ValhallaSupermassiveWin_V2_0_0.exe
$ yabridgectl sync
``` 

![Valhalla plugins](/vst-on-linux-1/valhalla.png)
All of them run flawlessly

---

## 7. Audio Treasure by Max For Cats 👎

As far as I could understand, it can be used only in **Ableton Live**, and since I'm not an Ableton user, and I don't want to run it with **Wine** *(cause there is no native Linux version)*, it's becoming the second plugin in the list, that is not working on 

## 8. Saturation Knob by Softube 👎

To get it, I must have a Softube account, (*but I already have it, because I used to download all them free plugins like nuts and create accounts everywhere 🤦)*

So I'm downloading their App Center, that I'm going to use to install a plugin. *I do hate this approach of managing software, but I will cover it in another post one day. *

So the process is very similar to a direct plugin installation. Install **Softube Central** to the same **Wine** prefix

    WINEPREFIX="$HOME/.wine_vst_plugins/" wine Softube\ Central\ Setup\ 1.7.1.exe
    

But after that, I've found out that their **Software Center** is written is **Electron-based** application, and I wasn't yet able to run stuff like this in **Wine**. Maybe later I will put more effort into that, but for now, I'm saying that it's not working. 😥 

> #### Some kind of rhetorical question
> 
> I don't understand why they and, for example, **Splice** can't release a Linux version of their application, it they already use Electron, that in my understanding is supposed for cross-platform development.

---

## 9 and 10. Plugins by iZotope 👎

**iZotope** is like **Valhalla**, everybody knows it. But I remember having troubles with their plugins on **Linux**. But now I'm trying again, and I'm full of hope.

Plugins: 

- iZotope Vinyl
- iZotope Ozone Imager V2 *(it's not in the Output list, but why not?)*
- iZotope Vocal Doubler

One more plugin vendor that requires an account creation. But I do have one from those good old times.

Well, since I remember that there was a problem with them, I'll start by trying only one. Let it be **Ozone Imager V2**.

    $ WINEPREFIX="$HOME/.wine_vst_plugins/" wine iZotope_Ozone_Imager_v2_1_0.exe
    

But unfortunately, when I'm opening these plugins, it asks for an authorization, and it doesn't work. It's described in the **yabridge README.md**,but I'm too dummy to read it there. 

#### There is a workaround

I've heard that you can download cracked versions of these plugins and they won't require an auth, so they might work. But I'm not trying that, and you shouldn't too.

---

## 11. TAL-Chorus-LX 👍👍👍

It's a piece of cake. This plugin has a native build for Linux, so I'm (since I'm using **Arch Linux**) just installing it using **yay**. And you may want to use another package manager, or download it from the official web page, it's presented there. 
![NATIVE, YOU KNOW!](/vst-on-linux-1/tal-chorus.png) 


---

## 12. Snap Heap by Kilo Hearts 👎

I was trying to get it, but It didn't seem free. 

![Snap Heap](/vst-on-linux-1/snap-heap.png)

---

## 13. Signal Free VST by Output 👎

I'm sorry, but I'm not even trying. It still hurts since the first place in this top.

---

## Some kind of conclusion

First, you have seen only pictures here but haven't heard anything I've done with these plugins. And I know that it sucks, because we're talking about music. I'll record a track using these plugins later and show you how it's working. 

About those plugins that didn't work: I know that some of them are great, and it's sad that **iZotope** are not running on Linux, but there are alternatives that are Linux native. So for each failed one I will try to find an alternative, and later I will share my findings here. 

Thanks for reading

Oi!


